function [f] = lapFilterVec1d(t, order)
%function [f] = lapFilterVec1d(t, order)
%
% This function performs a Laplacian filtering on a vector. To perform
% the same filtering on a Toeplitz matrix, use lapFilterMat1d.
%
% INPUTS
%   t:     The vector.
%   order: Number of times filter is applied.
%
% OUTPUTS
%   f:     The filtered result.
%

%Author: J. Chen
%$Date: 2011/11/23 11:47:31$

for iter = 1:order
  
  t = 2*t(2:end-1) - t(1:end-2) - t(3:end);
  
end

f = t;
