function [y] = circ_mult(eigvalC, x)
%function [y] = circ_mult(eigvalC, x)
%
% This function mutiplies a symmetric multilevel circulant matrix C by
% a vector. The vector can be a block vector.
%
% INPUTS
%   eigvalC: Eigenvalues of C, reshaped to the size of each level.
%   x:       (Block) vector.
%
% OUTPUTS
%   y:       C*x.
%

%Author: J. Chen
%$Date: 2011/11/23 11:52:02$

y = zeros(size(x));
for i = 1:size(x,2)
  z = ifftn( eigvalC .* fftn(reshape(x(:,i),size(eigvalC))) );
  z = z(:);
  y(:,i) = real(z);
end
