function [idx] = boundary2d(tri)
%function [idx] = boundary2d(tri)
%
% This function computes the boundary of a 2D mesh.
%
% INPUTS
%   tri: Triangles of the mesh.
%
% OUTPUTS
%   idx: Indicies of the boundary points.
%

%Author: J. Chen
%$Date: 2011/11/23 11:54:06$

n = max(max(tri));
H = zeros(size(tri,1)*3,3);

cnt = 1;
for i = 1:size(tri,1)
  idx = sort(tri(i,:));
  H(cnt, :) = [idx(1) idx(2) 1];
  cnt = cnt + 1;
  H(cnt, :) = [idx(2) idx(3) 1];
  cnt = cnt + 1;
  H(cnt, :) = [idx(1) idx(3) 1];
  cnt = cnt + 1;
end

S = spconvert([H; n n 0]);
[ii,jj,vv] = find(S==1);
idx = unique([ii,jj]);
